GCLOUD_SOURCE_REPOS_SET-IAM-POLICY(1)

NAME

gcloud source repos set-iam-policy - set the IAM policy for the named repository

SYNOPSIS

gcloud source repos set-iam-policy REPOSITORY_NAME POLICY_FILE [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command sets the IAM policy for the given repository from the policy in the provided file.

POSITIONAL ARGUMENTS

    REPOSITORY_NAME
        Name of the repository.

    POLICY_FILE
        JSON file with IAM policy. See https://cloud.google.com/resource-manager/reference/rest/Shared.Types/Policy

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To set the IAM policy, issue the following command:
    $ gcloud source repos set-iam-policy REPOSITORY_NAME POLICY_FILE